%define realname Catalyst-View-JSON
%define name	perl-%{realname}
%define modprefix Catalyst
%define version	0.24
%define release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	JSON view for your data
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{realname}-%{version}.tar.bz2
BuildRequires:	perl(Catalyst) >= 5.6
BuildRequires:	perl(Catalyst::Plugin::Unicode)
BuildRequires:	perl(YAML)
BuildRequires:	perl(JSON) >= 1
BuildRequires:	perl(JSON::Any)
BuildRequires:	perl(Test::More) >= 0.32
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Catalyst::View::JSON is a Catalyst View handler that returns stash
data in JSON format.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes
%{_mandir}/*/*
%{perl_vendorlib}/%{modprefix}

%clean
rm -rf %{buildroot}



%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.24-3mdv2009.0
+ Revision: 255589
- rebuild

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2008.1
+ Revision: 178328
- update to new version 0.24

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2008.1
+ Revision: 174753
- new version

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2008.1
+ Revision: 152975
- update to new version 0.22
- update to new version 0.22

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2008.1
+ Revision: 105899
- update to new version 0.21
- update to new version 0.21

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2008.0
+ Revision: 78113
- new version


* Thu Aug 03 2006 Scott Karns <scottk@mandriva.org> 0.11-1mdv2007.0
- Version 0.11

* Wed Apr 26 2006 Scott Karns <scottk@mandriva.org> 0.09-1mdk
- Initial Mdv RPM

